#!/bin/bash
#Sample script for running oer scripts (not mysql) from cron
#
#This script is used when you are running multiple oer extscripts with
#different delays. (In this case one set of scripts runs every 10 min and
#another one with 30 min delay)
#See also cron_exec_10.sh
#
#Add following line to your cron (change the path/time if needed), see
#manual page crontab(5) for details

# */30 * * * * $HOME/oer/cron_exec_30.sh

EXEC_DIR="$HOME/oer/"
EXT_FILE="$HOME/oer/oer.ext"
EXT_FILE10="$HOME/oer/oer.ext.10"
EXT_FILE30="$HOME/oer/oer.ext.30"

export PERL5LIB=$EXEC_DIR

$EXEC_DIR/slashdot.pl > $EXT_FILE30

cat $EXT_FILE10 > $EXT_FILE
cat $EXT_FILE30 >> $EXT_FILE
