#!/usr/bin/perl

# fmi_weather script for oer by Tero Nybacka <sivis@sivis.org>
# oer version 1.0-58 or newer required

# $Id: fmiweather.pl,v 1.4 2002/10/20 23:41:14 vekotin Exp $

use oer_ext;

# When used as "ext fmi" show this city's weather info
$default_city = "Tampere";

# Here, list cities which info you want to be fetched (see www.fmi.fi for list)
@city_list = ("Tampere", "Nivala");

# What word is used to trigger the script (ext <word>)
$script_trigger = "fmi";

# Don't edit anything below this line unless you know what you're doing

foreach $tmp (@city_list)
{
  $url="http://www.fmi.fi/saa/paikalli.html?kunta=$tmp";
  open(fd, "lynx -nolist -width=665 -dump $url | ") or die("Error while opening $url");
  while(<fd>)
  {
    chomp;
    if($_ =~ /^\s+Havainto: (.+)$/) { $location = $1; }
    if($_ =~ /^\s+Tuorein havainto: \S+ (\S+)$/) { $time = $1; }
    if($_ =~ /^\s+(lmptila \S+ C paine .+ kosteus \d+ % .*)$/) { $line = $1; }
  }
  print_line($script_trigger,$tmp,"","","","$location ($time): $line");
  if(lc($tmp) eq lc($default_city))
  {
    print_line($script_trigger,"","","","","$location ($time): $line");
  }
  close fd;
}


